# $Revision: 1.8 $, $Date: 2006/01/13 18:10:52 $

%define 	module	pytz

Summary:	pytz - Olson timezone database in Python
Summary(pl):	pytz - baza stref czasowych Olsona w Pythonie
Name:		python-%{module}
Version:	2005r
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pytz/%{module}-%{version}.tar.bz2
# Source0-md5:	53c366ec234c09f016f35cea5dee8db7
URL:		http://sourceforge.net/projects/pytz/
BuildRequires:	python-devel >= 1:2.3
Requires:	python >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pytz brings the Olson tz database into Python. This library allows
accurate and cross platform timezone calculations using Python 2.3 or
higher.

%description -l pl
pytz dodaje do Pythona modu umoliwiajcy odpytywanie bazy stref
czasowych Olsona. Modu ten umoliwia przeprowadzanie dokadnych,
niezalenych od platformy oblicze uwzgldniajcych strefy czasowy
przy uyciu Pythona w wersji co najmniej 2.3.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.txt
%{py_sitescriptdir}/pytz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pytz.spec,v $
Revision 1.8  2006/01/13 18:10:52  arekm
- up to 2005r

Revision 1.7  2005/02/07 17:18:13  czucz
- updated to 2005a

Revision 1.6  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.5  2004/09/28 20:12:41  zboczuch
- version 2004d

Revision 1.4  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.3  2004/07/26 15:50:48  zboczuch
- version 2004b.2

Revision 1.2  2004/07/20 16:56:56  zboczuch
- version 2004b

Revision 1.1  2004/06/11 09:27:14  zboczuch
- initial PLD release

